std::scoped_allocator_adaptor::destroy(3)

NAME
std::scoped_allocator_adaptor::destroy - std::scoped_allocator_adaptor::destroy

Synopsis
   Defined in header <scoped_allocator>
   template< class T > (since C++11)
   void destroy( T* p );
   Uses the outer allocator to call the destructor of the object pointed to by p, by
   calling
   std::allocator_traits<OUTERMOST>::destroy(OUTERMOST(*this), p)
   where OUTERMOST is the type that would be returned by calling
   this->outer_allocator(), and then calling the outer_allocator() member function
   recursively on the result of this call until reaching the type that has no such
   member function.

Parameters
   p - pointer to the object that is going to be destroyed

Return value
   (none)

See also
   destroy destructs an object stored in the allocated storage
   [static] (function template)
   destroy destructs an object in allocated storage
   (until C++20) (public member function of std::allocator<T>)